package com.ruoyi.tc.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.tc.entity.AssetApp;
import com.ruoyi.tc.entity.request.AssetAppPageRequest;
import com.ruoyi.tc.entity.request.UnitRequest;

import java.util.List;

/**
 * 资产移动应用程序表(asset_app)表服务接口
 *
 * @author makejava
 * @since 2024-11-28 17:13:07
 */
public interface AssetAppService extends IService<AssetApp> {
    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param as   查询实体
     * @return 所有数据
     */
    Page<AssetApp> page(Page<AssetApp> page, AssetAppPageRequest as);

    /**
     * 逻辑删除
     */
    void deleteById(Long id);

    /**
     * 查询所有数据
     *
     * @param as   查询实体
     * @return 所有数据
     */
    List<AssetApp> getAllList(AssetAppPageRequest as);



    /**
     * 删除
     * @param idList
     */
    void deleteIdList(List<Long> idList);




    /**
     * 根据单位查询资产总数
     *
     * @param part 单位
     * @return
     */
    Integer findBydwmc(String part);

    /**
     * 新增数据
     *
     * @param assetApp 实体
     * @return 新增结果
     */
    Boolean add(AssetApp assetApp);


    /**
     * 编辑数据
     *
     * @param assetApp 实体
     * @return 编辑结果
     */
    Boolean edit(AssetApp assetApp);
}
